Bug 695078 - Does not work at all
Summary: Does not work at all
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cclive
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicoleau Fabien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-10 11:34 UTC by Pavel Alexeev
Modified: 2011-06-01 09:41 UTC (History)
1 user (show)

Fixed In Version: cclive-0.7.3.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 02:25:44 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2011-04-10 11:34:48 UTC
Description of problem:
$ cclive --format=best http://vimeo.com/18808177
Checking ... ....... ....done.
error: boost::filesystem::file_size: Operation not permitted: "/home/pasha/temp/vimeo

(Copied all, right quote is absent)

Version-Release number of selected component (if applicable):
$ rpm -q cclive
cclive-0.7.3.1-1.fc14.i686

How reproducible:
Always

Comment 1 Nicoleau Fabien 2011-04-23 13:50:40 UTC
Hi, thx for the report.
I've contacted upstream for this bug

Comment 2 Nicoleau Fabien 2011-05-08 18:30:43 UTC
setting BOOST_FILESYSTEM_VERSION at 2 fixes the problem.

I'll update this week.

epo

Comment 3 Fedora Update System 2011-05-09 21:35:32 UTC
cclive-0.7.3.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cclive-0.7.3.1-3.fc15

Comment 4 Fedora Update System 2011-05-09 21:36:15 UTC
cclive-0.7.3.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cclive-0.7.3.1-3.fc14

Comment 5 Fedora Update System 2011-05-09 22:37:48 UTC
Package cclive-0.7.3.1-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cclive-0.7.3.1-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cclive-0.7.3.1-3.fc15
then log in and leave karma (feedback).

Comment 6 Pavel Alexeev 2011-05-12 05:29:33 UTC
Error is different, but still does not work:
$ cclive --format=best http://vimeo.com/18808177
Checking ... ........ libquvi: error: /usr/share/quvi/lua/website/vimeo.lua:62: no match: hd button

$ rpm -q cclive
cclive-0.7.3.1-3.fc14.i686

Comment 7 Nicoleau Fabien 2011-05-12 11:07:49 UTC
it's not the same bug. 
this fix makes  cclive works with youtube, or dmotion.. 
The error you have is a problem with quvi, may be the vimeo website changed, and there is a parse error.

Comment 8 Pavel Alexeev 2011-05-14 06:53:01 UTC
Sorry, I'm not familiar how it should work inner. But I initially report with vimeo site example. And for me your fix give nothing unfortunately. If you think it is another bug - feel free clone it to another. Thanks.

Comment 9 Nicoleau Fabien 2011-05-14 09:15:56 UTC
The initial error was a problem with BOOST_FILESYSTEM_VERSION, always appeared (with all websites).

The error you have now is a parse problem (by quvi), that only appears with vimeo. I'll contact upstream for that :)

As it now only concern quvi, i'll push this update to stable. Your problem will be fixed with a further quvi update.

Comment 10 Nicoleau Fabien 2011-05-22 20:16:45 UTC
This quvi update will fix your problem with vimeo : 
https://admin.fedoraproject.org/updates/quvi-0.2.16-1.fc14?_csrf_token=f42eab110157f671609c01a4dcdc4f1d52f2300b

Comment 11 Fedora Update System 2011-05-25 02:25:40 UTC
cclive-0.7.3.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-25 03:11:24 UTC
cclive-0.7.3.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Pavel Alexeev 2011-06-01 09:41:59 UTC
Yes, it seams help.

Thank you very much.


Note You need to log in before you can comment on or make changes to this bug.